Look up feedback by feedback_id
curl --request GET \
--url https://api.kitefrost.ai/v1/feedback/{feedback_id}import requests
url = "https://api.kitefrost.ai/v1/feedback/{feedback_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.kitefrost.ai/v1/feedback/{feedback_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"feedback_id": "<string>",
"signal_id": "<string>",
"session_id": "<string>",
"tenant_id": "<string>",
"project_id": "<string>",
"feedback_type": "<string>",
"signal_source": "<string>",
"signal_value": 123,
"target_type": "<string>",
"created_at": "<string>",
"run_id": "<string>",
"observation_id": "<string>"
}{
"error": "Unauthorized",
"code": "unauthorized",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "No valid API key was supplied.",
"doc_url": "https://docs.kitefrost.ai/errors/unauthorized"
}{
"error": "Forbidden",
"code": "forbidden",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "Your API key does not have the required scope.",
"doc_url": "https://docs.kitefrost.ai/errors/forbidden"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": "Rate limit exceeded",
"code": "rate_limited",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "You have exceeded the rate limit for your plan.",
"doc_url": "https://docs.kitefrost.ai/errors/rate_limited"
}{
"error": "Internal server error",
"code": "internal_error",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "An unexpected error occurred.",
"doc_url": "https://docs.kitefrost.ai/errors/internal_error"
}feedback
Look up feedback by feedback_id
Look up a feedback signal by its short feedback_id token. Support agents can use this to quickly find feedback context.
GET
/
v1
/
feedback
/
{feedback_id}
Look up feedback by feedback_id
Path Parameters
Response
Feedback signal found
Response for GET /v1/feedback/{feedback_id}
Mint a signed PUT URL for a screenshot attachment (C-FBSA2)Admin: list attachments on a feedback row with short-lived URLs
⌘I